Note: This is a public test instance of Red Hat Bugzilla. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback at bugzilla.redhat.com.

Bug 1377805

Summary: Positioning aspect of --geometry argument ignored
Product: [Fedora] Fedora Reporter: Rick Dicaire <kritek>
Component: mate-terminalAssignee: Wolfgang Ulbrich <fedora>
Status: CLOSED ERRATA QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: unspecified Docs Contact:
Priority: unspecified    
Version: 24CC: fedora
Target Milestone: ---Keywords: Reopened
Target Release: ---   
Hardware: Unspecified   
OS: Unspecified   
Whiteboard:
Fixed In Version: mate-terminal-1.14.1-3.fc24 mate-terminal-1.14.1-3.fc23 mate-terminal-1.14.1-3.el7 Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2016-10-01 04:20:48 UTC Type: Bug
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: --- Target Upstream Version:
Embargoed:

Description Rick Dicaire 2016-09-20 16:07:27 UTC
Description of problem:

Cannot place window in specific position any longer using --geometry

Version-Release number of selected component (if applicable):

mate-terminal-1.14.1-2.fc24.x86_64

How reproducible:

mate-terminal --geometry=113x56-66+33 used to place the terminal window about halfway from left, now places it at top left.

This is the same issue I reported at 
https://bugzilla.redhat.com/show_bug.cgi?id=1369939 for xfce4-terminal.

mate-terminal --geometry=113x56-66+33
xwininfo 

xwininfo: Please select the window about which you
          would like information by clicking the
          mouse in that window.

xwininfo: Window id: 0x4600beb "Terminal - ardy@daw3:~"

  Absolute upper-left X:  5
  Absolute upper-left Y:  55
  Relative upper-left X:  5
  Relative upper-left Y:  22
  Width: 906
  Height: 866
  Depth: 24
  Visual: 0xb5
  Visual Class: TrueColor
  Border width: 0
  Class: InputOutput
  Colormap: 0x4600006 (installed)
  Bit Gravity State: NorthWestGravity
  Window Gravity State: NorthWestGravity
  Backing Store State: NotUseful
  Save Under State: no
  Map State: IsViewable
  Override Redirect State: no
  Corners:  +5+55  -1009+55  -1009-159  +5-159
  -geometry 113x56+0+33


Steps to Reproduce:
1. mate-terminal --geometry=113x56-66+33
2.
3.

Actual results:

Window placed at top left.

Expected results:

Terminal window to be placed in position desired.

Additional info:

When I first experienced this problem with xfce4-terminal, I installed mate-terminal and modified my script to use it instead of xfce4-terminal to start multiple terminal windows in specific positions. This worked fine. When xfce4-terminal was patched, I reverted back to xfce4-terminal. I decided to test mate-terminal today and found it ignored positioning.

Comment 1 Fedora Update System 2016-09-23 06:52:21 UTC
mate-terminal-1.14.1-3.fc23 has been pushed to the Fedora 23 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-3146ef4e32

Comment 2 Fedora Update System 2016-09-23 08:00:12 UTC
mate-terminal-1.14.1-3.fc24 has been pushed to the Fedora 24 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-734d91a4c1

Comment 3 Rick Dicaire 2016-09-23 14:10:53 UTC
Tested and appears to work as expected.

/usr/bin/mate-terminal --geometry 113x56-86+33

xwininfo: Please select the window about which you
          would like information by clicking the
          mouse in that window.

xwininfo: Window id: 0x4a000ea "Terminal - ardy@daw3:~"

  Absolute upper-left X:  922
  Absolute upper-left Y:  55
  Relative upper-left X:  5
  Relative upper-left Y:  22
  Width: 906
  Height: 866
  Depth: 24
  Visual: 0xb5
  Visual Class: TrueColor
  Border width: 0
  Class: InputOutput
  Colormap: 0x4a00006 (installed)
  Bit Gravity State: NorthWestGravity
  Window Gravity State: NorthWestGravity
  Backing Store State: NotUseful
  Save Under State: no
  Map State: IsViewable
  Override Redirect State: no
  Corners:  +922+55  -92+55  -92-159  +922-159
  -geometry 113x56-86+33

Comment 4 Fedora Update System 2016-09-27 03:51:23 UTC
mate-terminal-1.14.1-3.fc24 has been pushed to the Fedora 24 stable repository. If problems still persist, please make note of it in this bug report.

Comment 5 Fedora Update System 2016-09-28 16:19:10 UTC
mate-terminal-1.14.1-3.el7 has been pushed to the Fedora EPEL 7 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2016-c3480ee6c6

Comment 6 Fedora Update System 2016-10-01 04:20:48 UTC
mate-terminal-1.14.1-3.fc23 has been pushed to the Fedora 23 stable repository. If problems still persist, please make note of it in this bug report.

Comment 7 Fedora Update System 2016-10-21 15:54:19 UTC
mate-terminal-1.14.1-3.el7 has been pushed to the Fedora EPEL 7 stable repository. If problems still persist, please make note of it in this bug report.